External Dependencies

eProsima Fast DDS

eProsima Fast DDS can be installed following the instructions at: Fast DDS.

Additional Dependencies

Each System-Handle may have additional dependencies. Please refer to the concrete SOSS documentation at the following link.

CMake

CMake 3.5 is required to build the project files.

C++

eProsima Integration-Service uses standard C++14.

colcon

If installed using colcon, colcon becomes a dependency.